export interface CollageMode {
    name: string;
    minImages: number;
    getSegments: (ctx: CanvasRenderingContext2D, config?: CollageConfig, images?: ImageBitmap[]) => Segment[];
    place: (ctx: CanvasRenderingContext2D, images: ImageBitmap[], segments: Segment[]) => void;
    forceConfig?: CollageConfig;
}

export interface CollageConfig {
    numImages?: number;
}

export interface Segment {
    x: number;
    y: number;
    w: number;
    h: number;
}
